
# errors

These are known errors that are non-disruptive:

- Failed deactivating swap
	- _non-disruptive_
- watchdog: watchdog0: watchdog did not stop!
	- _this is normal activity; non-disruptive_
- connman "cannot read /proc/net/pnp"
	- _false positive related to NFS; non-disruptive_
- login tty on debian supports SIGNIT, package differs on arch
	- _non-disruptive; cannot resolve without compiling my own copy of the tty package, not worth the effort..._

I am keeping track of these as I have not found a way to "solve" (eg. silence) them sanely.


## notes

While my experience with arch users is generally stellar, I did encounter some problems while creating this project.

- There was a GPG signature issue with AUR where pinned comments said RTFM and they would ban any comments asking for clearer instructions.  While the arch wiki is usually packed with good information, in this case it was extremely difficult to track down the solution among the myriad of outdated notes.
- The `makepkg` command does not run as root.  This complicated automating installation of common AUR packages, such as themes, cursors, and icons.  the suggestion to use the `nobody` user breaks when packages have tests, and creating a temporary user to build and install is just very messy.  I would love to see this restriction lifted in future iterations and replaced with a simple warning.
- While I did not originally like the transition to systemd for the init system, I am hugely fond of `systemd-boot`.
- The default clipboard used by `rxvt` is PRIMARY, and the UI clipboard is usually both PRIMARY and CLIPBOARD, but when renaming a file with pcmanfm the copy only goes to CLIPBOARD.  While I could find no way to force both to mirror or `rxvt` to use CLIPBOARD I did manage to find `ctrl+alt+v` works for pasting from CLIPBOARD in `rxvt`.
- There is a bug in the current release (0.8.0-1) of pasystray where it ignores the gtk icon theme resulting in a dark black icon on a dark grey task bar.  _This should be fixed in coming updates._
