
# file browsers

I have tried dolphin, nemo, nautilus, thunar, and pcmanfm.

Out of all of them I sit between pcmanfm and thunar, with a heavy lean towards pcmanfm.


## pcmanfm

I am convinced that pcmanfm was written by some savant genius, because they managed to pack more configurable features than any other file browser I tested with fewer dependencies and significantly better performance.

When testing in a virtual machine the performance difference is immediately visible.  The speed it launches, the speed it loads directory contents, and more measurably consuming significantly less memory and CPU at idle.

**If `libfm` offered directory thumbnails I would never have a reason to look at another file browser, but alas the 1-line change required has never been accepted to the mainline repository.**


## thunar

I went out of my way to test this for directory thumbnail support.

In addition to supporting that functionality it also had very few dependencies and offered comparable performance to pcmanfm.

However, it has an almost no configuration options, and what it does have lives in the ether somewhere with xfce-settings being the only way to tweak it.  _This means no portable text-file configuration, which is a major red flag in my book._

The second red flag came when I saw it had tight integrations with other `thunar-X` packages, like `thunar-volman` for managing mounted volumes.  _I didn't thoroughly test this, but it does not bode well when basic functionality included with pcmanfm requires another package in thunar._

Finally, and this was the nail in the coffin, was the fact that the maximum icon size was tiny.  Like miniscule.  Working on 4k displays the icon size of 512x512 works on pcmanf, but you can barely get 128x128 on thunar.  I tried to find documentation on whether this was configurable but found nothing beyond suggestions to use `xfce-settings`, yet another dependency.

In the end, while it's memory consumption was only slightly above pcmanfm, it offered a fraction of the features, required other packages for full functionality, and did not offer the configuration options I wanted.


## the rest

By far dolphin was the most bloated between the massive number of dependencies, and memory use at idle.  However it has the largest feature set, and may even be more customizable if I wanted to learn how to get qt configurations and themes working.

Nautilus is the gnome equivalent of dolpin, being only slightly less bloated, and not really giving me anything extra that pcmanfm couldn't.

I liked nemo, but features advertised, like directory thumbnails, simply didn't work.


# conclusions

I think pcmanfm is the best file browser, hands down.

I would love directory thumbnail support, but it excels in so many other areas that it would be impossible for me to recommend anything else.

_I have heard of `spacefm`, a fork, but it only works with an aur package, and I'd rather not go to third-party package installation for core functionality if I can help it._
