
# hidpi

I recently installed on a laptop with a high DPI display.

Turns out, the configuration needed numerous changes, which I will detail here.


## compute DPI

I recommend that you compute your DPI first.

https://winaero.com/blog/find-change-screen-dpi-linux/


## configuration

First, for the openbox menu, conky, and others, changing `Xft.dpi`.

For gnome based applications this is recommended:

	gsettings set org.gnome.desktop.interface text-scaling-factor 1.5

For `Sublime Text` you need to add `"ui_scale": 1.5` to user configuration.

Finally, the scaling of `urxvt` makes the `urzvtq` dimensions a bit large, so I modify `geometry 200x24` to `geometry 200x16` inside `/usr/local/bin/urxvtq`.  _We rely on a width larger than the display to force Openbox to auto-shrink it._

For the console displayed at boot, I ran `pacman -Syu terminus-font` and then modified `FONT=koi8u_8x16` to `FONT=ter-932n` inside `/etc/vconsole.conf`.  _I prefer `koi8u_8x16` aesthetically, but it is too small on large displays._

To fix the cursor several files needed to be modified from `Chameleon-SkyBlue-Regular` to `Chameleon-SkyBlue-Large`.  _This includes `~/.gtkrc-2.0`, `~/.config/gtk-3.0/settings.ini`, `~/.icons/default/index.theme`, and `~/.Xdefaults`._

You may also want to adjust `~/.config/tint2/tint2rc` by adding `scale_relative_to_dpi = 140`.


## bugs

When you enable hidpi settings you may encounter strange problems with drag and drop in applications like google-chrome.
