
# X1 Carbon

I bought an X1 Carbon during their 2019 March sale; $2000 of laptop, $600 worth of upgrades, for $1500.

I am transitioning from a 2015 12" Macbook; recent experience suggests Apple is going downhill.

This is just a "scratch-pad" of things I experienced when I setup and began using the new machine.

I am using [the wiki](https://wiki.archlinux.org/index.php/Lenovo_ThinkPad_X1_Carbon) as a reference.


## first impressions

It is very small and light weight.  Possibly lighter than my 2015 12" Macbook.

The display is absolutely gorgeous.

The speakers are an unimpressive contrast to the display.

The battery life, even (or perhaps especially) with Linux seems amazing.  I spent 3 hours actively configuring the system and it only went down 10%.  The initial calculation claimed 8 hours, which went up to over 11 hours due to averaging my activity and consumption.  _I have not yet tested this under load such as during compilation._

Thus far I have not encountered a single show-stopper or complex issue with setting up Arch Linux on this laptop.

The keyboard is going to take some getting used to, mostly due to layout, but also the functionality such as soft-enable/disable of things like bluetooth and wifi, **which are working out-of-the-box.**

The HiDPI display has required quite a few configuration tweaks.

Sleep mode appears to work out-of-the-box as well when I close the lid, and even automatically disables networking (which is re-enabled when the lid is opened), but I will have to check battery consumption.

The trackpad works, but feels slow so I am looking to reconfigure it (_almost certainly related to hiDPI_).

_The display brightness is the only thing I have found so far that is not working "out-of-the-box"._


## second day

I closed the lid at midnight with 89% battery, and opened it this morning after 9AM.

The display came back on immediately, and the battery level was 86%.

I did have to modify settings to address [hiDPI](hidpi.md) as many visual tools launched too tiny, others already scaled but were too big.

I found that I had to increase mouse acceleration, which could be touchpad related, or due to the display dimensions.  _For my use case this involve changing `xset m 7 5` to `xset m 14 3` inside `~/.config/openbox/autostart`._

I finished setting up `laptop-mode-tools` and some dependencies (eg. `acpid`).

I began to discover some of the shortcuts thanks to [the arch wiki](https://wiki.archlinux.org/index.php/Lenovo_ThinkPad_X1_Carbon_(Gen_6)).  For example, `fn+4` is instant sleep mode, and again to wake it back up.  The keyboard lighting is controlled with `fn+space`, meaning no extra work needed to get that working.

**The only gripe I have so far is the lack of tap-to-click on the trackpad, and button placement throwing me off (I regularly rest my thumb where I expect buttons causing scrolling events).**

I can also now confirm that the battery life is roughly half as good if playing media as opposed to editing files and browsing the web.  _4 hours of configuration, 9 hours in sleep mode prior to `laptop-mode-tools`, and another 4 hours of configuration and it still had over 50% battery, which listed as 6 hours remaining.  Then I began playing youtube videos and the calculation dropped to around 3 hours remaining._

I was able to use the webcam and microphone with `guvcview`, I simply had to increase the microphone volume to get it to pick up the audio.

**I was thrown off by the fact that I had to use `connmanctl` to run `enable bluetooth`, otherwise `bluetoothctl` does not see the controller.**  It might be possible to handle all connected devices entirely from `connmanctl` now.

The system recharged its battery from 50% to 100% in just over 2 hours while in use.

I had to add and modify a few configuration files to get brightness working as well as improved touchpad behavior.

The display did accrue some smudges when I accidentally touched it, fortunately I had some cleaning cloths for that.


## supplemental

I found errors in my logs regarding CPU thermal throttling, which seems to be related to a bug that Lenovo claimed to be working on in 2017.  **This can be fixed by installing `throttled` and loading `systemctl enable --now lenovo_fix.service`.**

A similar problem with similar "we're working on it" reporting from 2017 is that the touchpad does not report `ABS_TOOL_WIDTH`, which is required for palm detection.  _I could not verify a means of fixing this that did not involve significant and poorly documented manual compilation work._  However, a work-around might involve testing the `*Edge` properties with `synclient` and storing those in your `/etc/X11/xorg.conf.d/70-synaptics.conf`.
